Bug 473628 - berusky : Unowned directories
berusky : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: berusky (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 13:37 EST by Michael Schwendt
Modified: 2009-11-19 07:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 07:29:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2008-11-29 13:37:18 EST
One or more directories are not included within this
package and/or its sub-packages:

=> berusky-1.1-9.fc10.i386 (rawhide-development-i386)
/usr/share/doc/berusky-1.1

=> berusky-data-1.0-4.fc10.noarch (rawhide-development-i386)
/usr/share/berusky
/var/games/berusky

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Bug Zapper 2009-06-09 06:01:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michael Schwendt 2009-06-14 07:59:52 EDT
*ping*

The berusky[-data] packaging is broken. Including a read-only default config file in /var/games/berusky (/var is for variable data) and platform-independent data files in the same package, this package cannot be used in environments where /usr is network-shared. The default config file would not be available. There's no reason it could not be stored below /usr/share/berusky/ instead.
Comment 3 Martin Stransky 2009-06-15 07:30:17 EDT
I'll fix it when I got some free time.
Comment 4 Bug Zapper 2009-11-16 04:41:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Martin Stransky 2009-11-19 07:29:11 EST
fixed in rawhide (berusky-1.1-13.fc13 & berusky-data-1.0-7.fc13)

Note You need to log in before you can comment on or make changes to this bug.